/**
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.apache.geronimo.testsuite.console;

import org.testng.annotations.Test;

/**
 * Keystore configuration portlet tests
 *
 * @version $Rev: 964294 $ $Date: 2010-07-15 11:37:05 +0800 (Thu, 15 Jul 2010) $
 */
public class KeystoresPortletTest
    extends BasicConsoleTestSupport
{
    @Test
    public void testKeystoresLink() throws Exception {
    	selenium.click(this.getNavigationTreeNodeLocation("Security"));
        selenium.click("link=Keystores");
        waitForPageLoad();
        assertEquals("Geronimo Console", selenium.getTitle());
        assertEquals("Keystore Configuration", 
                     selenium.getText(getPortletTitleLocation())); 
    }
}
